import numpy as np
from mayavi import mlab

x, y = np.mgrid[-2:2:0.1, -2:2:0.1]
z = np.cos(x * y) * np.sin(x * y)

src = mlab.pipeline.array2d_source(z)
cell_drv = mlab.pipeline.cell_derivatives(src)
mlab.pipeline.glyph(cell_drv, mode='cube')

mlab.show()
